Name:		congruity
Version:	14
Release:	1%{?dist}
Summary:	Application to program Logitech Harmony universal remote controls

Group:		Applications/System
# Code is GPLv3+, icons are the other three licenses
License:	GPLv3+ and GPLv2+ and GPL+ and CC-BY-SA
URL:		http://sourceforge.net/projects/congruity
Source0:	http://downloads.sourceforge.net/congruity/%{name}-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

BuildRequires:	desktop-file-utils
Requires:	wxPython >= 2.8
Requires:	libconcord-python >= 0.20

%description
congruity is a GUI application for programming Logitech Harmony universal
remote controls. congruity builds upon the work of libconcord, which
provides the underlying communication.

congruity is configured to handle the configuration files downloaded
from the Logitech configuration website. After installing this package
you can just use the Logitech configuration website and congruity will
launch automatically when appropriate.

%prep
%setup -q

%build

%install
rm -rf %{buildroot} 
make install DESTDIR=%{buildroot} PREFIX=/usr MANDIR=%{_mandir} RUN_UPDATE_DESKTOP_DB=0
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changelog COPYING LICENSE.txt README.txt
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/*/*

%changelog
* Thu Jan 14 2010 Adam Williamson <awilliam@redhat.com> - 14-1
- new release 14

* Thu Aug 06 2009 Adam Williamson <awilliam@redhat.com> - 13-1
- new release 13

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 18 2009 Adam Williamson <awilliam@redhat.com> - 12-1
- new release 12
- upstream now includes the .desktop file

* Thu Jun 18 2009 Adam Williamson <awilliam@redhat.com> - 11-4
- add CC-BY-SA to the license field
- don't explicitly specify permissions in file list

* Thu Jun 18 2009 Adam Williamson <awilliam@redhat.com> - 11-3
- don't do 'make all', there's nothing to make

* Thu Jun 18 2009 Adam Williamson <awilliam@redhat.com> - 11-2
- validate the desktop file on install

* Wed Jun 17 2009 Adam Williamson <awilliam@redhat.com> - 11-1
- New release 11
- Drop the .desktop patch (merged upstream)
- Include the .desktop file from upstream SVN as a source: it was
  accidentally left out of the tarball
- Disable desktop database update during install
- Version the wxPython require

* Wed Jun 17 2009 Adam Williamson <awilliam@redhat.com> - 10-1
- New release 10
- Add a .desktop file to associate congruity with appropriate files
- take out trademark characters in description, doing this is Bad

* Thu Sep 07 2008 Stephen Warren <s-t-rhbugzilla@wwwdotorg.org> - 9-1
- Initial packaging

